Page MenuHomePhabricator

[ELF] Support explicitly overriding relocation model in LTO
ClosedPublic

Authored by phosek on Jul 19 2019, 5:49 PM.

Details

Reviewers
pcc
espindola
Summary

lld currently selects the relocation model automatically depending on
the link flags specified, but in some cases it'd be useful to allow
explicitly overriding the relocation model using a flag.

Diff Detail

Repository
rLLD LLVM Linker

Event Timeline

phosek created this revision.Jul 19 2019, 5:49 PM
pcc accepted this revision.Jul 19 2019, 5:57 PM

LGTM

lld/test/ELF/lto/relocation-model.ll
41

I think you shouldn't need the --export-dynamic --noinhibit-exec part here, maybe try removing them.

This revision is now accepted and ready to land.Jul 19 2019, 5:57 PM
phosek updated this revision to Diff 210974.Jul 20 2019, 2:58 PM
phosek marked an inline comment as done.
phosek closed this revision.Jul 21 2019, 2:57 PM